Bug 229102 - www/tomcat85: mark additional config files with @sample
Summary: www/tomcat85: mark additional config files with @sample
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-18 08:02 UTC by Michael Osipov
Modified: 2018-08-25 19:28 UTC (History)
2 users (show)

See Also:
vvd: maintainer-feedback+


Attachments
Added requested files as samples and made small refactoring in Makefile (2.92 KB, patch)
2018-07-23 01:11 UTC, VVD
vvd: maintainer-approval+
Details | Diff
Fixed use of @samle in optional components (3.10 KB, patch)
2018-07-28 23:43 UTC, VVD
vvd: maintainer-approval+
Details | Diff
Fixed use of @samle in optional components (3.12 KB, patch)
2018-07-29 13:44 UTC, VVD
vvd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2018-06-18 08:02:18 UTC
Please mark also the following files as sample since they may be changed by the user, in fact, I have swapped authentication and roles for our manager installation and the daily report nags for wrong checksums.

%%HOST_MANAGER%%%%T%%/webapps/host-manager/META-INF/context.xml
%%HOST_MANAGER%%%%T%%/webapps/host-manager/WEB-INF/web.xml
%%MANAGER%%%%T%%/webapps/manager/META-INF/context.xml
%%MANAGER%%%%T%%/webapps/manager/WEB-INF/web.xml

This also applies to the other Tomcat ports.
Comment 1 VVD 2018-07-23 01:11:57 UTC
Created attachment 195379 [details]
Added requested files as samples and made small refactoring in Makefile

Added requested files as samples and made small refactoring in Makefile.

8.5.32 coming soon.
Comment 2 VVD 2018-07-23 01:37:38 UTC
(In reply to Michael Osipov from comment #0)
> This also applies to the other Tomcat ports.
I'm maintainer of the tomcat85 and tomcat9 only. Patch for the tomcat9 is here: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=229973. Waiting somebody with commit bit to commit it.
But I can't change other ports and the maintainer of the tomcat6/7/8 is low active - there is a patch for more than year without any response: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=218865.
Comment 3 Michael Osipov 2018-07-25 09:10:33 UTC
(In reply to VVD from comment #2)

Looks awesome. Thank you. There is no need to update/maintain Tomcat 6.0.x and Tomcat 8.0.x there are depreated/unmaintained anymore. Tomcat 7.0/8.5/9.0 are the only ones to go.

PS: I am a Tomcat committer.
Comment 4 VVD 2018-07-25 13:39:04 UTC
> There is no need to update/maintain Tomcat 6.0.x and Tomcat 8.0.x there are depreated/unmaintained anymore.
Yes, but tomcat 6 and 8.0 are still exist in ports and no EXPIRATION_DATE set yet for both. And probably there are users of both.

> PS: I am a Tomcat committer.
BTW, are 9.0.11 and 8.5.33 soon? [-:
Comment 5 Michael Osipov 2018-07-25 14:42:35 UTC
(In reply to VVD from comment #4)

Given that 8.5.32 has been published a months ago and all known CVEs have been fixed, I don't expect anything before mid August, if not later.
Comment 6 commit-hook freebsd_committer 2018-07-26 16:12:54 UTC
A commit references this bug:

Author: swills
Date: Thu Jul 26 16:12:05 UTC 2018
New revision: 475384
URL: https://svnweb.freebsd.org/changeset/ports/475384

Log:
  www/tomcat85: mark additional config files with @sample

  PR:		229102
  Submitted by:	VVD <vvd@unislabs.com> (maintainer)
  Reported by:	Michael Osipov <1983-01-06@gmx.net>

Changes:
  head/www/tomcat85/Makefile
  head/www/tomcat85/pkg-plist
Comment 7 Steve Wills freebsd_committer 2018-07-26 16:13:17 UTC
Committed, thanks!
Comment 8 VVD 2018-07-28 23:43:03 UTC
Created attachment 195562 [details]
Fixed use of @samle in optional components

Found bug in last patch and fixed it.
Comment 9 VVD 2018-07-29 13:44:25 UTC
Created attachment 195590 [details]
Fixed use of @samle in optional components

Updated PORTREVISION.
Comment 10 Danilo G. Baio freebsd_committer 2018-07-29 17:12:02 UTC
pkg-plist needs to be fixed
Comment 11 VVD 2018-07-29 21:50:49 UTC
Last patch fixed (In reply to Danilo G. Baio from comment #10)
> pkg-plist needs to be fixed
Last patch fixed it.
Comment 12 VVD 2018-08-05 19:39:21 UTC
Ping!

It's fixed - commit my last patch.
Comment 13 commit-hook freebsd_committer 2018-08-05 20:12:11 UTC
A commit references this bug:

Author: dbaio
Date: Sun Aug  5 20:11:50 UTC 2018
New revision: 476471
URL: https://svnweb.freebsd.org/changeset/ports/476471

Log:
  www/tomcat85: Fix plist when using options HOST_MANAGER and MANAGER

  PR:		229102
  Submitted by:	VVD <vvd@unislabs.com> (maintainer)

Changes:
  head/www/tomcat85/Makefile
  head/www/tomcat85/pkg-plist
Comment 14 Danilo G. Baio freebsd_committer 2018-08-05 20:14:52 UTC
Done, thanks!
Comment 15 commit-hook freebsd_committer 2018-08-25 19:28:54 UTC
A commit references this bug:

Author: dbaio
Date: Sat Aug 25 19:27:58 UTC 2018
New revision: 478084
URL: https://svnweb.freebsd.org/changeset/ports/478084

Log:
  www/tomcat[6|7|8]: Bring improvements from Tomcat[85|9]

  - Add options [1]
    Based on Apache Tomcat documentation guidance, the default web applications
    have varying degrees of risk, these options will permit users to select
    which of the web applications should be installed.

  - Remove start_precmd from rcfile in Tomcat7 and Tomcat8 [2]
    This is not being used, users can use ${name}_env to pass variables

  - Mark additional config files as @sample [3]

  PR:		218865 [1]
  PR:		228418 [2]
  PR:		229102 [3]
  Submitted by:	Matt <fsbruva@yahoo.com> [1]
  Submitted by:	VVD <vvd@unislabs.com> [2] [3]
  Reported by:	Michael Osipov <1983-01-06@gmx.net> [2] [3]
  Approved by:	maintainer timeout (ale, > 3 weeks)
  Differential Revision:	https://reviews.freebsd.org/D16499

Changes:
  head/www/tomcat6/Makefile
  head/www/tomcat6/pkg-plist
  head/www/tomcat7/Makefile
  head/www/tomcat7/files/tomcat7.in
  head/www/tomcat7/pkg-plist
  head/www/tomcat8/Makefile
  head/www/tomcat8/files/tomcat8.in
  head/www/tomcat8/pkg-plist